qpid-qmf-1.38.0-1.7.i586.rpm


Advertisement

Description

qpid-qmf - The QPID Management Framework

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename qpid-qmf-1.38.0-1.7.i586.rpm
Package name qpid-qmf
Package version 1.38.0
Package release 1.7
Package architecture i586
Package type rpm
Category Productivity/Networking/Other
Homepage http://qpid.apache.org
License Apache-2.0
Maintainer -
Download size 176.10 KB
Installed size 522.41 KB
The Qpid Management Framework is a general-purpose management bus built on Qpid
messaging. It takes advantage of the scalability, security, and rich
capabilities of Qpid to provide flexible and easy-to-use manageability to a
large set of applications.

Alternatives

Package Version Architecture Repository
qpid-qmf-1.38.0-1.7.x86_64.rpm 1.38.0 x86_64 openSUSE Oss
qpid-qmf - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.28) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GLIBC_2.0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.3.2) -
libqpidcommon.so.2 -
libqpidmessaging.so.2 -
libqpidtypes.so.1 -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -
python-qpid >= 0.32
qpid-cpp-client >= 1.38.0

Provides

Name Value
libqmf2.so.1 -
qpid-qmf = 1.38.0-1.7
qpid-qmf(x86-32) = 1.38.0-1.7

Download

Type URL
Mirror widehat.opensuse.org
Binary Package qpid-qmf-1.38.0-1.7.i586.rpm
Source Package qpid-cpp-1.38.0-1.7.src.rpm

Install Howto

Install qpid-qmf rpm package:

# zypper install qpid-qmf

Files

Path
/usr/lib/libqmf2.so.1
/usr/lib/libqmf2.so.1.0.0

Changelog

2018-08-24 - mcalabkova@suse.com
- removed useless patch qpid-cpp-DisableWerror.patch
* it can be solved by giving additional parameter to cmake
2018-08-22 - mcalabkova@suse.com
- Update to upstream 1.38.0
* define test script dependencies in CMake so make test picks up
changes
* add a CMake switch to allow -Werror to be switched off
+ -Werror switched off by patch qpid-cpp-DisableWerror.patch
* various documentation fixes and added man pages
+ manual pages added to packages client-devel and
qpid-qmf-devel
* remove the obsolete Python management API
+ obsolete package python-qpid-qmf removed
- Added patches:
* qpid-cpp-DisableWerror.patch (see above)
- Removed patches:
* Suppress-maybe-uninitialized-warning.diff (obsolete)
* qpid-cpp-0.30-cmake.patch (obsolete)
2018-01-19 - fstrba@suse.com
- Update to upstream 1.37.0
* New features and improvements
+ QPID-7574 - Make management libraries Python 3 compatible
+ QPID-7629 - Use CMake "SYSTEM" keyword when including headers
+ QPID-7666 - [linearstore] Enhancements to the write buffer
default and per-queue options
+ QPID-7677 - [C++ broker] broker requires much more memory for
AMQP1.0 subscription than for 0-10 one
+ QPID-7698 - Minor doc improvements
+ QPID-7714 - Suppress auto_ptr warnings
+ QPID-7715 - [linearstore] Documentation on upgrading from
pre-partition to partitioned version of store
+ QPID-7861 - [cpp] Provide systemd scripts for Fedora
+ QPID-7874 - qpid-route performs an unnecessary link check
when adding routes
+ QPID-7875 - qpid-route fetches links multiple times when
deleting routes
+ QPID-8041 - [Messaging] Allow virtualhost to be specified
when form an AMQP 0-10 connection
* Bugs fixed
+ QPID-7595 - [C++ Windows] CMake required version is too low
for installation
+ QPID-7651 - [linearstore] Using write page cache sizes of 1
and 2 (kiB) cause floating point exception on startup
+ QPID-7669 - Unintended UI changes from switch to swigged
Python client for management tools
+ QPID-7671 - Problem building on debian (unstable)
distribution:
+ QPID-7674 - Broker bulid problem with GCC 7
+ QPID-7693 - SSL client socket leaks a file descriptor
+ QPID-7702 - Use of 'return NULL' in swig binding leaks memory
+ QPID-7713 - Clang build fails with link error
+ QPID-7786 - qpidd segfaults during startup when SSL
certificate cant be read
+ QPID-7788 - Linearstore doesnt move to EFP latest journal
files when deleting a durable queue
+ QPID-7847 - qmf.client.BrokerAgent does not provide reconnect
support
+ QPID-7859 - [AMQP 1.0]: sending message to an exchange that
exceeds the limit of a queue with reject policy results in
connection being closed
+ QPID-7860 - [cpp] Build produces deprecation warnings on
recent Fedora
+ QPID-7871 - Batch file for Windows is missing from qpid-tools
setup package
+ QPID-7876 - qpid-route does not properly consider src-local
when matching bridges
+ QPID-7893 - compilation failure on Fedora 26
+ QPID-7895 - [linearstore] Excessive CPU utilization for some
kernel clocksources
+ QPID-7901 - Prevent endless detach cycle
+ QPID-7929 - [c++ broker] missing extern fails compile on
Windows
+ QPID-7975 - [linearstore] Sending durable messages using AMQP
1.0 and 0-10 concurrently causes high latency for 1.0 messages
+ QPID-7991 - Segfault in broker while processing active bridges
+ QPID-8037 - Compile error on Windows, Visual Studio 2017
+ Tasks
+ QPID-7920 - Qpid C++ 1.37.0 release tasks
- Removed patches:
* 0001-QPID-7674-Broker-bulid-problem-with-GCC-7.patch
* 0001-QPID-7714-Suppress-very-verbose-warnings.patch
* 0001-QPID-7629-Use-the-CMake-SYSTEM-keyword-when-includin.patch
+ Fixed upstream
- Modified patch:
* Suppress-maybe-uninitialized-warning.diff
+ Adapt to changed context

See Also

Package Description
qpid-qmf-devel-1.38.0-1.7.i586.rpm Header files and tools for developing QMF extensions
qpid-qmf-devel-1.38.0-1.7.x86_64.rpm Header files and tools for developing QMF extensions
qpid-tests-1.37.0-1.3.noarch.rpm Conformance tests for Apache Qpid
qpid-tools-0.32-1.8.i586.rpm Management and diagostic tools for Apache Qpid
qpid-tools-0.32-1.8.x86_64.rpm Management and diagostic tools for Apache Qpid
qpress-1.1-7.13.i586.rpm File archiver designed for speed
qpress-1.1-7.13.x86_64.rpm File archiver designed for speed
qprint-1.1-1.11.i586.rpm Command line utility which encodes and decodes files in this format
qprint-1.1-1.11.x86_64.rpm Command line utility which encodes and decodes files in this format
qps-1.10.20-1.1.i586.rpm Visual Process Manager
qps-1.10.20-1.1.x86_64.rpm Visual Process Manager
qps-lang-1.10.20-1.1.noarch.rpm Translations for package qps
qputty-qt5-506-1.3.i586.rpm A QT5 port of putty, the free telnet/ssh client
qputty-qt5-506-1.3.x86_64.rpm A QT5 port of putty, the free telnet/ssh client
qqc2-desktop-style-5.57.0-1.1.i586.rpm A Qt Quick Controls 2 Style for Desktop UIs
Advertisement
Advertisement